Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.cwru.SimpleRTS.model.resource
Enum Resource.Type

    java.lang.Object
      java.lang.Enum<Resource.Type>
          edu.cwru.SimpleRTS.model.resource.Resource.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Resource.Type>

Enclosing class:
  Resource

    public static enum Resource.Type

extends java.lang.Enum<Resource.Type>

Enum Constant Summary
`GOLD_MINE`
`TREE`

Method Summary
`static Resource.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Resource.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TREE

    public static final Resource.Type TREE

### GOLD_MINE

    public static final Resource.Type GOLD_MINE

Method Detail

### values

    public static Resource.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Resource.Type c : Resource.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Resource.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD